API

Create a staff group

Creates a staff group for a company.

POST/v1/hq/staff_groups
AuthorizationBearer <token>

The Noona HQ API uses Bearer token for authentication.

Endpoints that return generic information that does not contain sensitive data do not require authentication. Endpoints that require authentication are specifically marked in the documentation.

Authorization: Bearer your-token

In: header

Query Parameters

select?array<string>
expand?array<string>

Request Body

application/json

company*string|
employees?
title*string
Example"Colorists"
order?integer
Formatint32
Example1

Response Body

application/json

application/json

curl -X POST "https://api.noona.is/v1/hq/staff_groups" \  -H "Content-Type: application/json" \  -d '{    "company": "string",    "title": "Colorists"  }'
{
  "id": "7awdXwZoedakjad37a",
  "company": "string",
  "employees": [
    "string"
  ],
  "title": "Colorists",
  "order": 1,
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z"
}
{
  "message": "Customer onboarding error."
}
Empty
Empty
Empty
Empty